<?php
class publicCountDown
{
	public static function Show(&$w)
	{
		# set timezone
		global $core;
		$tz = $core->blog->settings->blog_timezone;

		if ($w->homeonly && $core->url->type != 'default') {
			return;
		}

		# get local time
		$local_time = dt::addTimeZone($tz);
		# /get local time

		$ts = mktime($w->hour,$w->minute,$w->second,$w->month,$w->day,$w->year);
		# get difference
		(int)$diff = ($local_time - $ts);
		$after = ($diff > 0) ? true : false;
		(int)$diff = abs($diff);
		# /get difference

		(array)$times = array();
		
		if ($diff >= (3600*24*365.24))
		{
			$time = floor($diff/(3600*24*365.24));
			$times[] = $time.' '.(($time <= 1) ? __('year') : __('years'));
			$diff = $diff%(3600*24*365.24);
		}
		if ($diff >= (3600*24*30.4))
		{
			$time = floor($diff/(3600*24*30.4));
			$times[] = $time.' '.(($time <= 1) ? __('month') : __('months'));
			$diff = $diff%(3600*24*30.4);
		}
		if ($diff >= 3600*24)
		{
			$time = floor($diff/(3600*24));
			$times[] = $time.' '.(($time <= 1) ? __('day') : __('days'));
			$diff = $diff%(3600*24);
		}
		if ($diff >= 3600)
		{
			$time = floor($diff/(3600));
			$times[] = (($w->zeros) ? str_repeat('0',(2-strlen($time))) : '').$time.' '.(($time <= 1) ? __('hour') : __('hours'));
			$diff = $diff%3600;
		}
		if ($diff >= 60)
		{
			$time = floor($diff/(60));
			$times[] = (($w->zeros) ? str_repeat('0',(2-strlen($time))) : '').$time.' '.(($time <= 1) ? __('minute') : __('minutes'));
			$diff = $diff%60;
		}
		if ($diff > 0)
		{			
			$time = $diff;
			$times[] = (($w->zeros) ? str_repeat('0',(2-strlen($time))) : '').$time.' '.(($time <= 1) ? __('second') : __('seconds'));
		}
		# /calculate

		# output
		$header = (strlen($w->title) > 0) ? '<h2>'.html::escapeHTML($w->title).'</h2>' : null;
		$text = ($after) ? $w->text_after : $w->text_before;
		if (strlen($text) > 0) {$text .= ' ';}

		# get times and make a string
		$times = array_slice($times,0,$w->number_of_times);
		if (count($times) > 1)
		{
			$last = array_pop($times);
			$str = implode(', ',$times).' '.__('and').' '.$last;
		}
		else {$str = implode('',$times);}

		return '<div class="countdown">'.$header.'<p class="text">'.$text.$str.'</p></div>';
	}
}
?>
